# Ajouter un lien dans un article

## Liens externes (URLs)

[Ceci est un lien](https://adullact.org)

```MD
[Ceci est un lien](https://adullact.org)
```

## Liens internes (articles de la FAQ)

### Méthode 1 : URLs

[Ceci est lien vers un article de la FAQ déjà publié](https://faq-dev.adullact.org)

```MD
[Ceci est lien vers un article de la FAQ déjà publié](https://faq-dev.adullact.org)
```

### Méthode 2 : lien interne

[Ceci est un lien vers un article]({{< relref "./chemin-vers-article" >}})

Cette méthode est la plus appropriée, mais aussi **la plus complexe**.

Il faut placer entre les `" "` le chemin allant de l'article où se trouve le lien, jusqu'à l'article à relier.

Exemple :

Ceci est un passage d'un article contenant plusieurs liens internes.
Le chemin de cet article est `FAQ_articles/juridique/choisir-licence/34-le-mecanisme-de-la-comptabilite-entre-licences.md`

```TOML
+++
title = "Le mécanisme de la compatibilité entre licences"
description = "Le mécanisme de la compatibilité entre licences"
tags = [ "Juridique", "Licence libre" ]
date = "2014-04-07"
+++
{{< toc >}}

[...]

[GPLv3]({{< relref "../presentation-licences/31-presentation-de-la-licence-gpl-v3" >}})
```

L'article où le lien mène est situé dans un **dossier différent**. Pour pouvoir reculer d'un cran dans l'arborescence,
il faut donc placer `../` en début de chemin.

On peut le placer **autant de fois que nécessaire** pour remonter d'autant de niveau que nécessaire :

Exemple, pour remonter de 2 niveaux : `../../`
